<?php 
class Usuarios{
	private $nome;
	private $email;
	private $nomeUser;
	private $senha;
	private $con;

	public function __construct(){

	}

	public function conectar(){
		$this->con=mysqli_connect("localhost","root","minas","bdsuahorta");
		if(!$this->con){
			//Caso ocorra um erro, exive uma mensagem com o erro
			die("Problemas com a conexão");
		}
	}

	public function desconectar(){
		$this->con->close();
	}

	public function verificar($nome, $email, $nomeUser, $senha){
		if(!empty($nome) && !empty($email) && !empty($nomeUser) && !empty($senha)){
			return true;
		}
		else{
			return false;
		}
	}

	public function cadastrar($nome, $email, $nomeUser, $senha){
		$resp = $this->verificar($nome, $email, $nomeUser, $senha);

		if($resp == true){
			$this->conectar();	

			$stm = $this->con->prepare("insert into usuarios values(null,?, ?, ?, ?)");

			$stm->bind_param("ssss", $nome, $email, $nomeUser, $senha);
			$resp = $stm->execute();
			$stm->close();
			$this->desconectar();
		}

		return $resp;
	}

	public function exibeDados(){
		$retorno = "<h2>Não há Usuarios!</h2>";

		$this->conectar();

		$sql = "select * from usuarios";

		$dados = $this->con->query($sql);

		if($dados->num_rows > 0){
			$tabela = '<table class="table"
						<tr>
							<thead class="thead-dark">
								<th scope="col">Nome</th>
								<th scope="col">email</th>
								<th scope="col">Nome User</th>
								<th scope="col">Senha</th>
							</thead>
						</tr>';
		while($usuarios = $dados->fetch_object())
		{
			$tabela .="<tr>
							<td>$usuarios->nome</td>
							<td>$usuarios->email></td>
							<td>$usuarios->nomeUser</td>
							<td>$usuarios->senha</td>
						</tr>";
		}
		$tabela .="</table>";

		$dados->close();

		$retorno = $tabela;
		}

		$this->desconectar();

		return $retorno;
	}

}
 ?>
